com.smartgwt.client.types

## Enum MockDataType

- java.lang.Object
- - java.lang.Enum<MockDataType>
  - - com.smartgwt.client.types.MockDataType

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<MockDataType>

      public enum MockDataType
      extends java.lang.Enum<MockDataType>
      implements ValueEnum

  Whether the mock data is for a flat grid-like dataset or for a tree. If "grid" is specified, text shortcuts that would cause a hierarchy to be created (such as starting a line with "[+]") will not have special meaning and be considered to be just a normal data value.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GRID` Mock data for a ListGrid
    `TREE` Mock data for a TreeGrid

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static MockDataType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MockDataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GRID

          public static final MockDataType GRID

      Mock data for a ListGrid

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "grid".

    - #### TREE

          public static final MockDataType TREE

      Mock data for a TreeGrid

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "tree".

  - ### Method Detail

    - #### values

          public static MockDataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MockDataType c : MockDataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MockDataType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`